Enable jQuery Migrate Helper Eklentisi

WordPress 5.5 piyasaya sürüldüğünden bu yana sadece bir hafta içinde, Enable jQuery Migrate Helper eklentisi 10.000 kurulumu geçti.

Eklenti, WordPress Core ekibi tarafından, kullanıcıların 5.5’e güncelledikten sonra karşılaşabilecekleri jQuery ile ilgili sorunları azaltmak için geliştirilmiştir. WordPress, jQuery Migrate 1.4.1’i kaldırmıştır, ancak birçok tema ve eklenti, betiğe dayanan eski yada kullanımdan kaldırılmış jQuery işlevlerini kullandıkları için artık bozuktur.

Temel geliştirmeyi takip etmeyen çoğu kullanıcı jQuery Migrate’in kullanımdan kaldırıldığının farkında olmadığından, resmi destek forumları 5.5’e güncellendikten sonra bozuk sitelerin raporlarıyla doludur. JQuery ile ilgili olduğu için, sitelerin çoğunda, kullanıcıların içeriği görüntüleme ve düzenleme gibi şeyler yapmasını engelleyen çok görünür sorunlar veya bozuk işlevler vardır. Eski düzenleyiciye bağlanan eski eklentilerin kullanımdan kaldırılmış jQuery işlevlerini kullanması daha olası olduğundan, hala Klasik Düzenleyiciyi kullananlar, 5.5 güncellemesinden özellikle en çok etkilenenler oldu.

Enable jQuery Migrate Helper eklentisi, çoğu kullanıcının sorunlarını anında düzelttiğinden, 34 adet beş yıldızlı incelemeye sahip.

Eklenti, kullanıcılara hangi temaların veya eklentilerin sorunlara neden olduğunu anlamaları için zaman verir ve bu eklenti yazarlarından, WordPress’in en son sürümüyle uyumluluk için bunları güncellemelerine zaman verir..